OMINDEX(1)

NAME
omindex - Index static website data via the filesystem

SYNOPSIS
omindex [OPTIONS] --db DATABASE [BASEDIR] DIRECTORY

DESCRIPTION
omindex - Index static website data via the filesystem

DIRECTORY is the directory to start indexing from.

BASEDIR is the directory corresponding to URL (default: DIRECTORY).

OPTIONS

-d, --duplicates
    set duplicate handling ('ignore' or 'replace')

-p, --no-delete
    skip the deletion of documents corresponding to deleted files (--preserve-nonduplicates is a deprecated alias for --no-delete)

-e, --empty-docs=ARG
    how to handle documents we extract no text from: ARG can be index, warn (issue a diagnostic and index), or skip. (default: warn)

-D, --db=DATABASE
    path to database to use

-U, --url=URL
    base url BASEDIR corresponds to (default: /)

-M, --mime-type=EXT:TYPE map file extension EXT to MIME Content-Type TYPE
    (empty TYPE removes any MIME mapping for EXT)

-F, --filter=TYPE:CMD
    process files with MIME Content-Type TYPE using command CMD, which should produce UTF-8 text on stdout e.g. -Fapplication/octet-stream:'strings -n8'

-l, --depth-limit=LIMIT
    set recursion limit (0 = unlimited)

-f, --follow
    follow symbolic links

-i, --ignore-exclusions
    ignore meta robots tags and similar exclusions

-S, --spelling
    index data for spelling correction

-m, --max-size
    maximum size of file to index (in bytes or with a suffix of 'K'/'k', 'M'/'m', 'G'/'g')

-E, --sample-size=SIZE
    sets the maximum number of bytes for the document text sample. (default SIZE = 512)

-v, --verbose
    show more information about what is happening

--overwrite
    create the database anew (the default is to update if the database already exists)

-s, --stemmer=LANG
    set the stemming language, the default is 'english'. Possible values: danish dutch english finnish french german german2 hungarian italian kraaij_pohlmann lovins norwegian porter portuguese romanian russian spanish swedish turkish (pass 'none' to disable stemming)

-h, --help
    display this help and exit

-V, --version
    output version information and exit

Please report bugs at: http://xapian.org/bugs